import { EndpointContext } from 'taon/lib-prod';
import { TaonProjectResolve } from '../../project-resolve';
export declare const DevBuildUtils__NS__context: {
    readonly contextName: string;
    readonly appId: string;
    cloneAsRemote: (cloneOpt?: {
        overrideRemoteHost?: string;
    }) => any;
    cloneAsNormal: (cloneOpt?: {
        overrideHost?: string;
    }) => any;
    __ref(): Promise<EndpointContext>;
    readonly __refSync: EndpointContext;
    getClassInstance<T>(ctor: new (...args: any[]) => T): T;
    getClass<T>(ctor: new (...args: any[]) => T): new (...args: any[]) => T;
    initialize: (overrideOptions?: import("taon/lib-prod").Models__NS__TaonInitializeParams) => Promise<EndpointContext>;
    readonly realtime: {
        readonly client: import("taon/lib-prod").RealtimeClient;
        readonly server: import("taon/lib-prod").RealtimeServer;
    };
};
export declare const DevBuildUtils__NS__startAcionWorker: () => Promise<Partial<TaonProjectResolve>>;
